#pragma once

#include "CoreMinimal.h"
#include "QuestEventEvaluatorBase.h"
#include "GameplayTagContainer.h"
#include "GameEventData.h"
#include "EscapeChaseAfterVoidBombQEEvaluator.generated.h"

UCLASS(Blueprintable)
class UEscapeChaseAfterVoidBombQEEvaluator : public UQuestEventEvaluatorBase
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _timeChaseShouldEndAfterDrop;

private:
	UFUNCTION()
	void OnVoidBombDropped(const FGameplayTag gameEventType, const FGameEventData& gameEventData);

	UFUNCTION()
	void OnChaseEnd(const FGameplayTag gameEventType, const FGameEventData& gameEventData);

public:
	UEscapeChaseAfterVoidBombQEEvaluator();
};

FORCEINLINE uint32 GetTypeHash(const UEscapeChaseAfterVoidBombQEEvaluator) { return 0; }
